#!/bin/sh

path=$PATH
datadir=/mnt/data/pg-data

d=60

# master (no patches)

echo "========== master $i =========="

PATH=/home/tomas/pg-master/bin:$path

echo "PATH=$PATH"

which pg_ctl

pg_ctl -D $datadir -l logs/master-$i.log start

sh xid.sh $d $i >> master.csv

pg_ctl -D $datadir stop

# patched (lazy hashtable)

echo "========== lazy hash $i =========="

PATH=/home/tomas/pg-xid-hash/bin:$path

echo "PATH=$PATH"

which pg_ctl

pg_ctl -D $datadir -l logs/hash-$i.log start

sh xid.sh $d $i >> hash.csv

pg_ctl -D $datadir stop

# patched (lazy sort)

echo "========== lazy sort $i =========="

PATH=/home/tomas/pg-xid-sort/bin:$path

echo "PATH=$PATH"

which pg_ctl

pg_ctl -D $datadir -l logs/sort-$i.log start

sh xid.sh $d $i >> sort.csv

pg_ctl -D $datadir stop
